While aggressive pricing in 2007 challenged SanDisk and our industry, demand for our products was robust and we
sold 75% more units and 190% more megabytes than in 2006. Demand in our target markets was good and sales
were strong particularly for mobile cards and in our international geographies. Our product mix continued to
diversify as we grew beyond imaging cards with mobile phone cards becoming our largest product category.
Product revenues increased 18% despite an average price decline of 60% per megabyte. Our strong focus on product
cost reductions resulted in a 56% lower cost per megabyte, and despite the pricing pressure we were able to
consistently improve our product gross margins throughout the year. Revenues from royalties were $450 million, up
36% from 2006 and our patent portfolio grew to more than 860 U.S. patents, 550 foreign patents and 1400
U.S. pending patent applications. In the past six years SanDisks total revenues grew from $0.5 billion in 2002 to
$3.9 billion in 2007, a compound annual growth rate of 48%. While U.S. consumer confidence declined in late
2007, I believe we are better positioned than our competition to weather the challenging market conditions in the
first half of 2008.
Technology and Manufacturing Leadership
World-class Flash technology and high-volume leading edge manufacturing remain our core strengths and they are
crucial to our ability to deliver breakthrough products and lead our markets. Our long standing cooperation with
Toshiba allowed both companies to introduce the worlds first commercial 3-bits per cell NAND Flash memory, and
to be the first to start production of 43-nanometer NAND multilevel cell, both in the first half of 2008. Our captive
fab capacity in 2008 is comprised almost entirely of the most advanced 300 millimeter NAND Flash wafers
currently in production anywhere in the world. We continue to invest strategically in advanced memory technologies,
including 3 and 4-bits per cell NAND Flash, as well as 3D (three dimensional) rewritable memory which
carries the promise to complement, and possibly one day replace, todays NAND Flash.
International Growth
Growth in international product sales was robust in 2007 and almost two-thirds of our sales were outside of the
U.S. Retail sales in Japan, Asia/Pacific and Europe all grew in excess of our corporate average. This was achieved
by improved sourcing to these regions, more sales people on the ground, localized products and region-specific
advertising. Given that our market share in many international regions is lower than in the U.S., we see this as a
significant upside opportunity, and our plan is to continue to strengthen our international presence in 2008.
2008: Opportunities and Challenges
As we enter 2008, industry-wide excess supply is resulting again in sharp price declines and margin compression.
Although we do not participate directly in the Flash memory component commodity business, we are not insulated
from the tough pricing environment for Flash memory in 2008. The commoditization of Flash memory components
is a concern to investors and to ourselves. However, we believe that Flash memory is an enabling technology at the
forefront of many young markets that have huge growth potential in the mobile convergence applications space. In
the mobile handset business alone, we project that more than 500 million handsets will be sold in 2008 with a slot for
Flash memory mobile cards. MP3 and video players are nowpredominantly based on Flash memory. Car navigation
systems have embraced Flash memory for storing street maps. Video camcorders are beginning the switch away
from bulky optical disk storage in favor of Flash memory. On the horizon are solid state drives (SSDs) for laptops
and enterprise servers.We believe that these emerging markets all benefit from the relentless drive to achieve lower
costs and higher capacities.
SanDisks vision and strategy for long term value creation has been consistent throughout our first 20 years. Our
products and technology have transformed entire industries.We are proud of our achievements, and are confident in
our ability to continue to innovate and lead in existing and new markets in the years ahead. We have endured a
number of down-cycles in the past 20 years and the current down-cycle, although difficult, is energizing us to
improve our operational and business efficiencies so that we emerge a more nimble, stronger global competitor in
the next industry upturn. I would like to express my deep appreciation to our employees for their continuing
dedication and to our customers, strategic partners, suppliers and stockholders for your continuing confidence.

Eli Harari

Chairman and Chief Executive Officer